## NAME

m.sdts.read - Program for reading SDTS or other data from files in ISO 8211 (FIPS 123) format.
(GRASS Data Import/Processing Program)

## SYNOPSIS

m.sdts.read
m.sdts.read help m.sdts.read [-s] input=name [output=name]

## DESCRIPTION

The program enables the user to read SDTS and other data files in ISO 8211 (FIPS 123) format. Output read from the file can be displayed to the screen and/or dumped to a user-specified file.

Data read from the ISO 8211 file is displayed or dumped record by record. The contents of each field of each record are displayed along with field name, subfield name, format, and length. Binary field data are displayed in hex format.

## COMMAND LINE OPTIONS

### Flags:

-s
  suppress screen display of data; dump to specified file only.

### Parameters:

input=name
  name of SDTS ISO 8211 file to be read.
output=name
  name of file to store output read from the ISO 8211 file.

## NOTES

The original version of this program, sdtsdump, is included along with other utility program accompanying the U.S. Geological Survey's distribution of their public domain FIPS 123 Function Library. Both sdtsdump and m.sdts.read make use of this library. To create m.sdts.read, sdtsdump was only modified enough to make it conform to GRASS program conventions.

## SEE ALSO

m.sdts.read
v.in.sdts
v.out.sdts
v.sdts.dp.cp
v.sdts.meta.cp
v.sdts.meta

## AUTHORS

Robert Lazar, U.S. Geological Survey, National Mapping Division
David Stigberg, U.S.Army Construction Engineering Research Laboratory

Last changed: $Date: 2002/01/25 05:45:33 $